Crypto.com Exchange API v1
Welcome
Welcome to the Crypto.com Exchange API v1 reference documentation.
The Crypto.com Exchange API v1 provides developers with a REST and WebSocket API. The majority of API calls are available across both mediums in the same request and response formats, allowing smooth transition and a reduced learning curve between the two platforms.
The majority of API calls are available across both mediums in the same request and response formats, allowing smooth transition and a reduced learning curve between the two platforms.
Where applicable, all API calls come with detailed information on both the request and response parameters, all in a simple JSON format, as well as sample requests and code snippets in JavaScript, Python which can be viewed on the right.
Notes on Exchange Upgrade and API Versions
- Exchange v1 API is the latest version of API which can trade Spot / Derivatives / Margin.
- Derivatives v1 API has been upgraded into Exchange v1 API with additional capabilities for Spot Trading / Margin Trading / Wallet Management. As Exchange v1 API is a superset of Derivatives v1 API, existing customer can continue using the same for trading.
- For full details about the exchange upgrade, please refer to this (blog post)[https://crypto.com/product-news/introducing-the-gen-3-0-crypto-com-exchange] with FAQ documents.
Breaking Change Schedule
-
On 2025-12-17 8:00 UTC,
The current trigger order creation/cancellation will be migrated to Advanced Order Management API. -
On 2025-02-27 8:00 UTC,
Forbook.{instrument_name}.{depth}, the full snapshot subscription (book_subscription_type=SNAPSHOT)100msfrequency is removed.
Customers wishing to continue with the faster100msfrequency should switch to the delta subscription (book_subscription_type=SNAPSHOT_AND_UPDATE).
This higher performing subscription benefits the user with reduced bandwidth/processing compared to the snapshot subscription.
For a transition period, users subscribing to the removed100mssnapshot will receive the500mssubscription.The
book.{instrument_name}subscription (default depth) will be removed.
Customers should use the explicitbook.{instrument_name}.{depth}subscription and specify the required depth.For a transition period, users subscribing to the removed subscription will receive the default
50depth subscription. -
These changes will take place around 17 December 2023 8:00 UTC.
-
Market Data wildcard ticker subscription will be removed. Users should use the instrument specific subscription.
Change Log
- 2026-05-21
public/get-instrumentsresponse updated, new fieldproduct_typewas added- Trading Bot API section was added:
private/bot/create-trading-bot(DCA, TWAP, GRID, FUNDING_ARBITRAGE)private/bot/terminate-trading-botprivate/bot/update-trading-botprivate/bot/pause-trading-botprivate/bot/resume-trading-botprivate/bot/get-trading-botsprivate/bot/get-trading-bot-executions
- 2026-05-07
- Advanced Order Management API section was updated for DerivAttach
private/advanced/create-otoandprivate/advanced/create-otoco— contingency type is now resolved from instrument type: spot instruments create SPOT_ATTACH, derivative instruments create DERIV_ATTACH. DerivAttach supportsisolation_id,leverage,isolated_margin_amounton the primary leg andISOLATED_MARGINinexec_inst. Trigger legs inherit isolation mode from the parent.private/advanced/create-order—attach_order_idnow applies to both SpotAttach and DerivAttach. New optional fieldattach_isolation_idfor DerivAttach attach-to-position (derivatives only).private/advanced/cancel-otoandprivate/advanced/cancel-otoco— updated to cover both SPOT_ATTACH and DERIV_ATTACH.private/advanced/cancel-all-orders— new optional fieldposition_type(CROSS_MARGIN, ISOLATED_MARGIN).private/advanced/get-open-orders,private/advanced/get-order-detail,private/advanced/get-order-history, anduser.advance.order— response attributes extended withexchange_order_id,ref_price,ref_price_type,reject_reason,attach_isolation_id,isolation_id,isolation_type,leverage,isolated_margin_amount.contingency_typenow includes DERIV_ATTACH.private/advanced/amend-order— corrected required/optional flags:new_priceis Y,new_quantityis Y,new_ref_priceis N.
- 2026-04-29
- Fee Credits
private/get-fee-credit-balanceswas addedprivate/get-tradesresponse updated, new fieldfee_creditswas addeduser.trade.{instrument_name}response updated, new fieldfee_creditswas added
- 2026-04-07
private/get-accountsresponse updated, new fieldhierarchywas added
- 2026-04-01
private/create-orderrequest updated,REDUCE_ONLYwas added toexec_inst
- 2026-01-08
- Add support for isolated position
private/create-isolated-margin-transferwas addedprivate/change-isolated-margin-leveragewas addedprivate/user-balanceresponse updated, new fieldstotal_isolated_cash_balanceandisolated_positionswere addedprivate/user-balance-historyresponse updated, new fieldiwas addedprivate/get-subaccount-balancesresponse updated, new fieldstotal_isolated_cash_balanceandisolated_positionswere addedprivate/get-positionsresponse updated, new fieldsisolation_idandisolation_typewere addedprivate/create-orderrequest updated, new optional fieldsisolation_id,leverage,isolated_margin_amountwere added,exec_instadded support forISOALTED_MARGINprivate/close-positionrequest updated, new optional fieldisolation_idwas addedprivate/get-open-ordersresponse updated, new fieldsisolation_idandisolation_typewere addedprivate/get-order-detailresponse updated, new fieldsisolation_idandisolation_typewere addedprivate/get-order-historyrequest updated, new optional fieldisolation_idwas added, response updated, new fieldsisolation_idandisolation_typewere addedprivate/get-tradesrequest updated, new optional fieldisolation_idwas added, response updated, new fieldsisolation_idandisolation_typewere addedprivate/get-transactionsrequest updated, new optional fieldisolation_idwas added, response updated, new fieldsisolation_idandisolation_typewere addeduser.order.{instrument_name}response updated, new fieldsisolation_idandisolation_typewere addeduser.trade.{instrument_name}response updated, new fieldsisolation_idandisolation_typewere addeduser.balanceresponse updated, new fieldstotal_isolated_cash_balanceandisolated_positionswere addeduser.positionsresponse updated, new fieldsisolation_id,leverage,isolation_type,liquidation_priceandisolated_margin_balancewere addeduser.account_riskresponse updated, new fieldstotal_isolated_cash_balance,isolated_positionswere addeduser.position_balanceresponse updated, new fieldisolated_positionswas added
- 2025-03-26
transaction_timewas added intouser.order.{instrument_name}
- 2025-11-18
public/get-risk-parameterswas added new columns
- 2025-10-16
Advanced Order Management APIsection was updated
- 2025-07-17
private/fiat/fiat-deposit-infowas addedprivate/fiat/fiat-deposit-historywas addedprivate/fiat/fiat-withdraw-historywas addedprivate/fiat/fiat-create-withdrawwas addedprivate/fiat/fiat-get-bank-accountswas addedprivate/fiat/fiat-transaction-quotawas addedprivate/fiat/fiat-transaction-limitwas added
- 2025-07-04
private/create-orderexec_inst was addedSMART_POST_ONLYprivate/create-order-list (LIST)exec_inst was addedSMART_POST_ONLYprivate/get-open-ordersexec_inst was addedSMART_POST_ONLYprivate/get-order-detailwas added, exec_inst was addedSMART_POST_ONLYprivate/get-order-historyexec_inst was addedSMART_POST_ONLY
- 2025-06-10
private/amend-orderwas addedpublic/get-announcementswas added
- 2025-05-29
- transaction_time_ns field was added into
user.order.{instrument_name}response
- transaction_time_ns field was added into
- 2025-03-14
- Removed deprecated attributes system_label in
private/get-accounts
- Removed deprecated attributes system_label in
- 2025-03-06
- Removed deprecated
book.{instrument_name}default book subscription - Removed deprecated 100ms interval from full snapshot
book.{instrument_name}.{depth}book subscription
- Removed deprecated
- 2025-03-04
- Remove section:
Unified Wallet and System Label
- Remove section:
- 2025-01-27
book.{instrument_name}.{depth}- The following additional update frequencies are now supported:
Full snapshot subscription (book_subscription_type=SNAPSHOT)500ms
Delta subscription (book_subscription_type=SNAPSHOT_AND_UPDATE)100ms
- 2024-12-11
private/create-orderfee_instrument_name was added
- 2024-10-02
public/get-risk-parameterswas added
- 2024-08-15
private/get-fee-ratewas addedprivate/get-instrument-fee-ratewas added
- 2024-07-12
- Staking API added:
private/staking/stake
private/staking/unstake
private/staking/get-staking-position
private/staking/get-staking-instruments
private/staking/get-open-stake
private/staking/get-stake-history
private/staking/get-reward-history
private/staking/convert
private/staking/get-open-convert
private/staking/get-convert-history
public/staking/get-conversion-rate
- Staking API added:
- 2024-06-27
private/create-orderself-trade prevent (STP) was addedprivate/create-order-list (LIST)self-trade prevent (STP) was added
- 2024-02-12
public/get-trades,trade.{instrument_name}subscription, clarification for the public trade side field- Side is the side of the taker order
book.{instrument_name}.{depth}clarifications for book delta sequence number handling and re-subscription
- 2024-01-04
- Market data websocket subscription enhancements:
book.{instrument_name}- Thesubscriptionresult value is now explicit
e.g. previous"subscription": "book.BTC_USD"-> new"subscription": "book.BTC_USD.50"book.{instrument_name}.{depth}- For delta updates, the fixed 500ms delta full book snapshot heartbeat is replaced with empty delta in the case of no book changesticker- Documented existing 'bs' and 'ks' fields (bid/ask size)settlement- For wildcard subscription, thesubscriptionresult value is now explicit
e.g. previous"subscription": "settlement"-> new"subscription": "settlement.BTCUSD-231124"- Applied consistent field ordering for all market data subscriptions (
book,ticker,trade,candlestick,index,mark,settlement,funding,estimatedfunding).
Result fields are always in the following order:
id, method, code, instrument_name, subscription, channel - Market data REST
public/get-trades - Added additional
tnnanoseconds timestamp field to the trade response - Clarified timestamp pagination parameters
- 2023-12-18
- Market Data wildcard ticker subscription removed. Users should use the instrument specific subscription.
- 2023-12-11
- Introduced Market Data subscription limiting. Refer to Market Data Websocket Subscription Limits for more details
- 2023-10-31
user.balance,private/user-balancewill be updated:- Existing field total_margin_balance will represent new margin balance calculation without haircut.
- Existing field total_initial_margin previously is made up of position IM only. On effective date, this field will represent the total sum of total_position_im + total_haircut
- New field total_position_im will be introduced to represent initial margin requirement to support open positions and orders
- New field total_haircut will be introduced to represent the total haircut on eligible collateral token assets. Refer to Smart Cross Margin Enhancement Guide for details
user.balance,user.account_risk,private/user-balance,private/get-subaccount-balanceswill be updated:- New field collateral_eligible will be introduced to indicate if token is eligible Collateral
- collateral_weight will be deprecated
- New field haircut will be introduced to show haircut of eligible collateral token instead of collateral Weight. Refer to Smart Cross Margin Enhancement Guide for details
- 2023-08-11
private/create-order-list (LIST)for batch order creation addedprivate/cancel-order-list (LIST)for batch order cancel added
- 2023-07-31
- Market Data Websocket Subscriptions is effective:
funding.{instrument_name}- channel will return the fixed hourly rate that will settle at the end of the hour.estimatedfunding.{instrument_name}- channel will return the estimated hourly rate that will begin in the next interval.- Added new "funding_rate" and "estimated_funding_rate" valuation types for public/get-valuations
- 2023-06-28
private/get-deposit-historyaddedprivate/get-withdrawal-historyadded
- 2022-11-30
- Support using
client_oidto query inprivate/get-order-detailREST API
- Support using
- 2022-11-10
USD_Stable_Coin(aka USD Bundle), will be renamed asUSD. Customer can test the change in UAT from 2022-11-10 before the change is effective in PROD. Target date for PROD is TBD.- Customer can input both
USDandUSD_Stable_Cointo mean the same USD Bundle. - However, on response,
USDwill be used to mean USD Bundle, instead ofUSD_Stable_Coin.
- 2022-10-31
- Added
private/create-order-list,private/create-subaccount-transferREST APIs - Added
user.account_riskanduser.position_balanceWebSocket subscriptions - Added more
periodinpublic/get-candlestickcandlestick.{time_frame}.{instrument_name}WebSocket subscription
- Added
- 2022-09-21 - Added Unified Wallet and System Label section, to illustrate the transition from multiple wallets into unified wallet.
- 2022-09-21 - Added new sub-account management endpoints:
private/get-accounts,private/create-subaccount-transfer - 2022-09-21 - Added new exchange wallet management endpoints:
private/create-withdrawal,private/get-deposit-address,private/get-curency-networks - 2022-09-21 - First publish, based on Derivative Exchange API v1.
Common API References
Naming Conventions
- All methods and URLs in dash-case
- All parameters in snake_case
- Enums in full UPPERCASE and snake_case
Generating the API Key
Before sending any requests, generate a new API key on the Exchange website under User Center → API. Note down:
- API Key
- Secret Key
Default settings are "Can Read" only; you can add or remove permissions via the Web UI. You may optionally specify a whitelist of IP addresses; if set, the API can only be used from those IPs.
REST API Root Endpoints
REST API requests must be sent with Content-Type: application/json.
| Environment | REST API |
|---|---|
| UAT Sandbox | https://uat-api.3ona.co/exchange/v1/{method} |
| Production | https://api.crypto.com/exchange/v1/{method} |
Websocket Root Endpoints
| Environment | Websocket (User API) |
|---|---|
| UAT Sandbox | wss://uat-stream.3ona.co/exchange/v1/user |
| Production | wss://stream.crypto.com/exchange/v1/user |
| Environment | Websocket (Market Data) |
|---|---|
| UAT Sandbox | wss://uat-stream.3ona.co/exchange/v1/market |
| Production | wss://stream.crypto.com/exchange/v1/market |
Rate Limits
REST API
For authenticated calls, rate limits are per API method, per API key:
| Method | Limit |
|---|---|
private/create-order, private/cancel-order, private/cancel-all-orders | 15 requests per 100ms each |
private/get-order-detail | 30 requests per 100ms |
private/get-trades | 1 request per second |
private/get-order-history | 1 request per second |
| All others | 3 requests per 100ms each |
For public market data calls, rate limits are per API method, per IP address:
| Method | Limit |
|---|---|
| All | 100 requests per second each |
Staking
| Method | Limit |
|---|---|
| All | 50 requests per second each |
Websocket
| Method | Limit |
|---|---|
| User API | 150 requests per second |
| Market Data | 100 requests per second |
Request Format
The following information applies to both REST API and websockets commands:
| Name | Type | Required | Description |
|---|---|---|---|
| id | long | Y | Request identifier (0 to 9,223,372,036,854,775,807). Response echoes the same id. |
| method | string | Y | The method to be invoked (e.g. private/get-order-detail). |
| params | object | Y | Parameters for the method. Use {} when a method has no parameters. |
| api_key | string | Depends | API key. Required for private methods (see Digital Signature). |
| sig | string | Depends | Digital signature. Required for private methods. |
| nonce | long | Y | Current timestamp in milliseconds since the Unix epoch. |
⚠️ All numbers must be strings, and must be wrapped in double quotes. e.g. "12.34", instead of 12.34.
Digital Signature
For REST API, only private methods require a digital signature (as sig) and API key (as api_key) to be passed in. These private endpoints are only accessible by authenticated users.
For WebSocket (User API), the public/auth command has to be invoked once per session, with the digital signature (as sig) and API key (as api_key) as part of the request. Once authenticated, you will gain access to user-specific commands and no longer need to pass in the digital signature and API key for the duration of the session.
The authentication is based on the pairing of the API Key, along with the HMAC-SHA256 hash of the request parameters using the API Secret as the cryptographic key.
⚠️ You should NEVER explicitly include the API Secret Key in plain-text in your request
The algorithm for generating the HMAC-SHA256 signature is as follows:
- If "params" exist in the request, sort the request parameter keys in ascending order.
- Combine all the ordered parameter keys as key + value (no spaces, no delimiters). Let's call this the parameter string
- Next, do the following: method + id + api_key + parameter string + nonce
- Use HMAC-SHA256 to hash the above using the API Secret as the cryptographic key
- Encode the output as a hex string -- this is your Digital Signature
Since all parameters for calculating the HMAC-SHA256 hash are present in the request except the API Secret, the server-side will independently calculate the Digital Signature as well, and if done correctly, the computed hashes will match.
Besides, for JavaScript client calling private/get-order-detail API, it is highly recommended to use STRING format of order_id in the JSON request payload, in order to guarantee the correctness of Digital Signature.
JavaScript Example
const crypto = require("crypto-js");
const signRequest = (request_body, api_key, secret) => {
const { id, method, params, nonce } = request_body;
function isObject(obj) {
return obj !== undefined && obj !== null && obj.constructor == Object;
}
function isArray(obj) {
return obj !== undefined && obj !== null && obj.constructor == Array;
}
function arrayToString(obj) {
return obj.reduce((a,b) => { return a + (isObject(b) ? objectToString(b) : (isArray(b) ? arrayToString(b) : b)); }, "");
}
function objectToString(obj) {
return (obj == null ? "" : Object.keys(obj).sort().reduce((a, b) => {
return a + b + (isArray(obj[b]) ? arrayToString(obj[b]) : (isObject(obj[b]) ? objectToString(obj[b]) : obj[b]));
}, ""));
}
const paramsString = objectToString(params);
const sigPayload = method + id + api_key + paramsString + nonce;
request_body.sig = crypto.HmacSHA256(sigPayload, secret).toString(crypto.enc.Hex);
return request_body;
};
const apiKey = "token"; /* User API Key */
const apiSecret = "secretKey"; /* User API Secret */
let request = {
id: "11",
method: "private/get-order-detail",
api_key: apiKey,
params: {
order_id: "53287421324"
},
nonce: "1587846358253",
};
const requestBody = JSON.stringify(signRequest(request, apiKey, apiSecret));
Python Example
import hmac
import hashlib
import time
API_KEY = "API_KEY"
SECRET_KEY = "SECRET_KEY"
req = {
"id": "14",
"method": "private/create-order-list",
"api_key": API_KEY,
"params": {
"contingency_type": "LIST",
"order_list": [
{
"instrument_name": "ONE_USDT",
"side": "BUY",
"type": "LIMIT",
"price": "0.24",
"quantity": "1.0"
},
{
"instrument_name": "ONE_USDT",
"side": "BUY",
"type": "STOP_LIMIT",
"price": "0.27",
"quantity": "1.0",
"trigger_price": "0.26"
}
]
},
"nonce": str(int(time.time() * 1000))
}
# First ensure the params are alphabetically sorted by key
param_str = ""
MAX_LEVEL = 3
def params_to_str(obj, level):
if level >= MAX_LEVEL:
return str(obj)
return_str = ""
for key in sorted(obj):
return_str += key
if obj[key] is None:
return_str += 'null'
elif isinstance(obj[key], list):
for subObj in obj[key]:
return_str += params_to_str(subObj, level + 1)
else:
return_str += str(obj[key])
return return_str
if "params" in req:
param_str = params_to_str(req['params'], 0)
payload_str = req['method'] + str(req['id']) + req['api_key'] + param_str + str(req['nonce'])
req['sig'] = hmac.new(
bytes(str(SECRET_KEY), 'utf-8'),
msg=bytes(payload_str, 'utf-8'),
digestmod=hashlib.sha256
).hexdigest()
C# Example
using System;
using System.Collections.Generic;
using System.Linq;
using System.Security.Cryptography;
using System.Text;
private const string API_KEY = "YOUR_API_KEY";
private const string API_SECRET = "YOUR_API_SECRET";
private static string GetSign(Dictionary<string, object> request)
{
var paramsDict = request["params"] as Dictionary<string, object>;
// Ensure the params are alphabetically sorted by key
// Note: For nested objects or lists, implement recursive sorting similar to JS/Python examples
string paramString = paramsDict != null
? string.Join("", paramsDict.Keys.OrderBy(key => key).Select(key => key + paramsDict[key]))
: "";
string sigPayload = request["method"].ToString()
+ request["id"].ToString()
+ API_KEY
+ paramString
+ request["nonce"].ToString();
using (var hmac = new HMACSHA256(Encoding.UTF8.GetBytes(API_SECRET)))
{
var hash = hmac.ComputeHash(Encoding.UTF8.GetBytes(sigPayload));
return BitConverter.ToString(hash).Replace("-", "").ToLowerInvariant();
}
}
Java Example
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import java.util.Map;
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ApiRequestJson {
private Long id;
private String method;
private Map<String, Object> params;
private String sig;
@JsonProperty("api_key")
private String apiKey;
private Long nonce;
}
//------------
import java.math.BigDecimal;
import java.nio.charset.StandardCharsets;
import java.security.InvalidKeyException;
import java.security.NoSuchAlgorithmException;
import java.util.List;
import java.util.Map;
import java.util.TreeMap;
import javax.crypto.Mac;
import javax.crypto.spec.SecretKeySpec;
import org.apache.commons.codec.binary.Hex;
public class SigningUtil {
private static final String HMAC_SHA256 = "HmacSHA256";
private static final int MAX_LEVEL = 3;
public static boolean verifySignature(ApiRequestJson apiRequestJson, String secret) {
try {
return genSignature(apiRequestJson, secret).equalsIgnoreCase(apiRequestJson.getSig());
} catch (Exception e) {
return false;
}
}
@SuppressWarnings("unchecked")
public static String getParamString(final Object paramObject) {
StringBuilder sb = new StringBuilder();
appendParamString(sb, paramObject, 0);
return sb.toString();
}
@SuppressWarnings("unchecked")
private static void appendParamString(final StringBuilder paramsStringBuilder, final Object paramObject, final int level) {
if (level >= MAX_LEVEL) {
paramsStringBuilder.append(paramObject.toString());
return;
}
if (paramObject instanceof Map) {
TreeMap<String, Object> params = new TreeMap<>((Map) paramObject);
for (Map.Entry<String, Object> entry : params.entrySet()) {
if (entry.getValue() instanceof Double) {
paramsStringBuilder
.append(entry.getKey())
.append((new BigDecimal(entry.getValue().toString()))
.stripTrailingZeros()
.toPlainString());
} else if (entry.getValue() instanceof List || entry.getValue() instanceof Map) {
paramsStringBuilder
.append(entry.getKey());
appendParamString(paramsStringBuilder, entry.getValue(), level + 1);
} else {
paramsStringBuilder
.append(entry.getKey())
.append(entry.getValue());
}
}
} else if (paramObject instanceof List) {
List list = (List) paramObject;
for (Object o : list) {
appendParamString(paramsStringBuilder, o, level + 1);
}
} else {
paramsStringBuilder.append(paramObject.toString());
}
}
public static String genSignature(ApiRequestJson apiRequestJson, String secret)
throws NoSuchAlgorithmException, InvalidKeyException {
final byte[] byteKey = secret.getBytes(StandardCharsets.UTF_8);
Mac mac = Mac.getInstance(HMAC_SHA256);
SecretKeySpec keySpec = new SecretKeySpec(byteKey, HMAC_SHA256);
mac.init(keySpec);
String paramsString = "";
if (apiRequestJson.getParams() != null) {
paramsString += getParamString(apiRequestJson.getParams());
}
String sigPayload =
apiRequestJson.getMethod()
+ apiRequestJson.getId()
+ apiRequestJson.getApiKey()
+ paramsString
+ (apiRequestJson.getNonce() == null ? "" : apiRequestJson.getNonce());
byte[] macData = mac.doFinal(sigPayload.getBytes(StandardCharsets.UTF_8));
return Hex.encodeHexString(macData);
}
public static ApiRequestJson sign(ApiRequestJson apiRequestJson, String secret)
throws InvalidKeyException, NoSuchAlgorithmException {
apiRequestJson.setSig(genSignature(apiRequestJson, secret));
return apiRequestJson;
}
public static void main(String[] argv) throws InvalidKeyException, NoSuchAlgorithmException {
ApiRequestJson apiRequestJson = ApiRequestJson.builder()
.id(11L)
.apiKey("token")
.method("public/auth")
.nonce(1589594102779L)
.build();
System.out.println(genSignature(apiRequestJson, "secretKey"));
System.out.println(sign(apiRequestJson, "secretKey"));
}
}
Response Format
| Name | Type | Description |
|---|---|---|
| id | long | Original request identifier (or -1 if omitted in request). |
| method | string | Method invoked. |
| result | object | Result object (present on success). |
| code | int | 0 for success; see Response and Reason Codes |
| message | string | Optional; server or error message. |
| original | string | Optional; original request as escaped string (for error cases). |
Response and Reason Codes
200 OK
| HTTP Status | Code | Message Code / Description |
|---|---|---|
| 200 | 0 | --: Success |
| 200 | 40401 | NOT_FOUND: Not found |
| 200 | 43012 | SELF_TRADE_PREVENTION: Canceled due to Self Trade Prevention |
400 Bad Request
| HTTP Status | Code | Message Code / Description |
|---|---|---|
| 400 | 202 | ACCOUNT_IS_SUSPENDED: Account is suspended |
| 400 | 204 | DUPLICATE_CLORDID: Duplicate client order id |
| 400 | 207 | NO_MARK_PRICE: No mark price |
| 400 | 208 | INSTRUMENT_NOT_TRADABLE: Instrument is not tradable |
| 400 | 209 | INVALID_INSTRUMENT: Instrument is invalid |
| 400 | 213 | INVALID_ORDERQTY: Invalid order quantity |
| 400 | 218 | INVALID_ORDTYPE: Invalid order_type |
| 400 | 220 | INVALID_SIDE: Invalid side |
| 400 | 221 | INVALID_TIF: Invalid time_in_force |
| 400 | 222 | STALE_MARK_PRICE: Stale mark price |
| 400 | 223 | NO_CLORDID: No client order id |
| 400 | 224 | REJ_BY_MATCHING_ENGINE: Rejected by matching engine |
| 400 | 225 | EXCEED_MAXIMUM_ENTRY_LEVERAGE: Exceeds maximum entry leverage |
| 400 | 226 | INVALID_LEVERAGE: Invalid leverage |
| 400 | 227 | INVALID_SLIPPAGE: Invalid slippage |
| 400 | 228 | INVALID_FLOOR_PRICE: Invalid floor price |
| 400 | 229 | INVALID_REF_PRICE: Invalid ref price |
| 400 | 230 | INVALID_REF_PRICE_TYPE: Invalid ref price type |
| 400 | 308 | INVALID_PRICE: Invalid price |
| 400 | 314 | EXCEEDS_MAX_ORDER_SIZE: Exceeds max order size |
| 400 | 315 | FAR_AWAY_LIMIT_PRICE: Far away limit price |
| 400 | 318 | EXCEEDS_MAX_ALLOWED_ORDERS: Exceeds max allowed orders |
| 400 | 319 | EXCEEDS_MAX_POSITION_SIZE: Exceeds max position size |
| 400 | 401 | ACCOUNT_DOES_NOT_EXIST: Account does not exist |
| 400 | 408 | MARGIN_UNIT_IS_SUSPENDED: Margin unit is suspended |
| 400 | 30024 | MAX_AMOUNT_VIOLATED: If create-withdrawal call quantity > max_withdrawal_balance in user-balance api |
| 400 | 40001 | BAD_REQUEST: Bad request |
| 400 | 40002 | METHOD_NOT_FOUND: Method not found |
| 400 | 40003 | INVALID_REQUEST: Invalid request |
| 400 | 40004 | MISSING_OR_INVALID_ARGUMENT: Required argument is blank or missing |
| 400 | 40005 | INVALID_DATE: Invalid date |
| 400 | 40006 | DUPLICATE_REQUEST: Duplicate request received |
| 400 | 40102 | INVALID_NONCE: Nonce value differs by more than 60 seconds |
| 400 | 40107 | EXCEED_MAX_SUBSCRIPTIONS: Session subscription limit has been exceeded |
| 400 | 50001 | ERR_INTERNAL: Internal error |
| 400 | 50002 | DW_CREDIT_LINE_NOT_MAINTAINED: If create-withdrawal call breaches credit line check |
401 Unauthorized
| HTTP Status | Code | Message Code / Description |
|---|---|---|
| 401 | 40101 | UNAUTHORIZED: Not authenticated, or key/signature incorrect |
| 401 | 40103 | IP_ILLEGAL: IP address not whitelisted |
| 401 | 40104 | USER_TIER_INVALID: Disallowed based on user tier |
408 Request Timeout
| HTTP Status | Code | Message Code / Description |
|---|---|---|
| 408 | 40801 | REQUEST_TIMEOUT: Request has timed out |
429 Too Many Requests
| HTTP Status | Code | Message Code / Description |
|---|---|---|
| 429 | 42901 | TOO_MANY_REQUESTS: Requests have exceeded rate limits |
500 Internal Server Error
| HTTP Status | Code | Message Code / Description |
|---|---|---|
| 500 | 201 | NO_POSITION: No position |
| 500 | 203 | ACCOUNTS_DO_NOT_MATCH: Accounts do not match |
| 500 | 205 | DUPLICATE_ORDERID: Duplicate order id |
| 500 | 206 | INSTRUMENT_EXPIRED: Instrument has expired |
| 500 | 210 | INVALID_ACCOUNT: Account is invalid |
| 500 | 211 | INVALID_CURRENCY: Currency is invalid |
| 500 | 212 | INVALID_ORDERID: Invalid order id |
| 500 | 214 | INVALID_SETTLE_CURRENCY: Invalid settlement currency |
| 500 | 215 | INVALID_FEE_CURRENCY: Invalid fee currency |
| 500 | 216 | INVALID_POSITION_QTY: Invalid position quantity |
| 500 | 217 | INVALID_OPEN_QTY: Invalid open quantity |
| 500 | 219 | INVALID_EXECINST: Invalid exec_inst |
| 500 | 301 | ACCOUNT_IS_IN_MARGIN_CALL: Account is in margin call |
| 500 | 302 | EXCEEDS_ACCOUNT_RISK_LIMIT: Exceeds account risk limit |
| 500 | 303 | EXCEEDS_POSITION_RISK_LIMIT: Exceeds position risk limit |
| 500 | 304 | ORDER_WILL_LEAD_TO_IMMEDIATE_LIQUIDATION: Order will lead to immediate liquidation |
| 500 | 305 | ORDER_WILL_TRIGGER_MARGIN_CALL: Order will trigger margin call |
| 500 | 306 | INSUFFICIENT_AVAILABLE_BALANCE: Insufficient available balance |
| 500 | 307 | INVALID_ORDSTATUS: Invalid order status |
| 500 | 309 | MARKET_IS_NOT_OPEN: Market is not open |
| 500 | 310 | ORDER_PRICE_BEYOND_LIQUIDATION_PRICE: Order price beyond liquidation price |
| 500 | 311 | POSITION_IS_IN_LIQUIDATION: Position is in liquidation |
| 500 | 312 | ORDER_PRICE_GREATER_THAN_LIMITUPPRICE: Order price is greater than the limit up price |
| 500 | 313 | ORDER_PRICE_LESS_THAN_LIMITDOWNPRICE: Order price is less than the limit down price |
| 500 | 316 | NO_ACTIVE_ORDER: No active order |
| 500 | 317 | POSITION_NO_EXIST: Position does not exist |
| 500 | 320 | EXCEEDS_INITIAL_MARGIN: Exceeds initial margin |
| 500 | 321 | EXCEEDS_MAX_AVAILABLE_BALANCE: Exceeds maximum available balance |
| 500 | 406 | ACCOUNT_IS_NOT_ACTIVE: Account is not active |
| 500 | 407 | MARGIN_UNIT_DOES_NOT_EXIST: Margin unit does not exist |
| 500 | 409 | INVALID_USER: Invalid user |
| 500 | 410 | USER_IS_NOT_ACTIVE: User is not active |
| 500 | 411 | USER_NO_DERIV_ACCESS: User does not have derivative access |
| 500 | 412 | ACCOUNT_NO_DERIV_ACCESS: Account does not have derivative access |
| 500 | 415 | BELOW_MIN_ORDER_SIZE: Below Min. Order Size |
| 500 | 501 | EXCEED_MAXIMUM_EFFECTIVE_LEVERAGE: Exceeds maximum effective leverage |
| 500 | 604 | INVALID_COLLATERAL_PRICE: Invalid collateral price |
| 500 | 605 | INVALID_MARGIN_CALC: Invalid margin calculation |
| 500 | 606 | EXCEED_ALLOWED_SLIPPAGE: Exceed allowed slippage |
| 500 | 613 | INVALID_ISOLATION_ID: Invalid isolation ID |
| 500 | 614 | EXCEEDS_ISOLATED_POSITION_LIMIT: Exceeds maximum allowed number of isolated position |
| 500 | 615 | ACCOUNT_DOES_NOT_SUPPORT_ISOLATED_POSITION: Account does not support isolated position |
| 500 | 616 | CREATE_ISOLATED_POSITION_FAILED: Failed to create isolated position |
| 500 | 617 | DUPLICATED_INSTRUMENT_ORDER_FOR_ISOLATED_MARGIN: Account already have isolated position with same instrument |
| 500 | 618 | TOO_MANY_PENDING_ISOLATED_MARGIN_REQUESTS: Exceeds request limit for isolated margin order |
| 500 | 619 | UNSUPPORTED_OPERATION_ON_ISOLATED_POSITION: Unsupported operation on isolated position |
| 500 | 620 | CREATE_ISOLATED_POSITION_TIMEOUT: Request for create isolated position has timed out |
| 400 | 1110 | REDUCE_ONLY_REJECTED: Rejected REDUCE_ONLY create-order request |
| 500 | 43003 | FILL_OR_KILL: FOK order has not been filled and cancelled |
| 500 | 43004 | IMMEDIATE_OR_CANCEL: IOC order has not been filled and cancelled |
| 500 | 43005 | POST_ONLY_REJ: Rejected POST_ONLY create-order request (normally happened when exec_inst contains POST_ONLY but time_in_force is NOT GOOD_TILL_CANCEL) |
| 500 | 120009 | REJECTED: Request rejected by upstream service |
| 500 | 130008 | NON_APPLICABLE: Operation not applicable for current state |
Websocket Termination Codes
| Code | Description |
|---|---|
| 1000 | Normal disconnection by server, usually when the heartbeat isn't handled properly |
| 1006 | Abnormal disconnection |
| 1013 | Server restarting -- try again later |
Error Response Format
Due to the asynchronous nature of websocket requests, a robust and consistent error response is crucial in order to match the response with the request.
To ensure API consistency for websocket error responses, if the id and method is omitted in the original request, id will have a value of -1 and method will have a value of ERROR.
The original request will be returned as an escaped string in the original field.
Common Issues
TOO_MANY_REQUESTS After Websocket Connects
Websocket rate limits are pro-rated based on the calendar-second that the websocket connection was opened.
This means, depending on the fraction of the calendar-second that the connection was established, the rate limit could be pro-rated to a small number.
By adding a 1-second sleep after establishing the websocket connection, and before requests are sent, this will ensure the rate limit is properly reset and sync'd to your session.
This will avoid occurrences of rate-limit (TOO_MANY_REQUESTS) errors.
INVALID_NONCE On All Requests
The nonce should be the UTC Unix timestamp in milliseconds.
If this has been carefully checked, then the issue occurs when the system clock of the client machine is greater than 60 seconds in the future / past.
Usually, re-syncing with the NTP time server on the client machine will correct the issue.
If the issue persists, you can try deliberately subtracting N seconds from the nonce to force it to be N seconds in the past, which is still within the 60-second past tolerance.
Reference and Market Data
Reference and market data endpoints provide public, unauthenticated access to instrument metadata, real-time market data, and historical pricing information. These endpoints form the foundation for price discovery, order book analysis, and trading decision workflows.
Core Data Types
Instrument Reference Data
Use public/get-instruments to retrieve the full catalog of tradable instruments. Each instrument includes:
- Contract specifications (tick size, quantity decimals, leverage limits)
- Product classification (perpetual swap, future, option)
- Trading status and expiry information
- Underlying index reference
This endpoint should be called on application startup and periodically refreshed to detect new listings or contract expirations.
Real-Time Market Data
| Endpoint | Use Case | Update Frequency |
|---|---|---|
public/get-book | Order book depth (bids/asks) | Snapshot on request (up to 50 levels) |
public/get-tickers | 24h summary (high, low, volume, open interest) | Updated per trade |
public/get-trades | Recent trade history | Last 150 trades (7-day max window) |
For low-latency applications, use WebSocket subscriptions instead:
book.{instrument_name}.{depth}- Order book updates (10 or 50 levels)ticker.{instrument_name}- Real-time ticker updatestrade.{instrument_name}- Trade feed
Settlement and Expiry
public/get-expired-settlement-price provides historical settlement prices for expired futures contracts. Use this for post-trade reconciliation and historical PnL calculations.
Rate Limits
Public endpoints share a global rate limit pool. For market data-intensive applications:
- Use WebSocket subscriptions instead of polling REST endpoints
- Cache
public/get-instrumentsresponses (updates infrequently) - Batch ticker requests by omitting
instrument_nameto get all tickers in one call
Typical Integration Flow
Step 1 — Bootstrap Reference Data
Call public/get-instruments to load the instrument catalog. Store contract specifications locally.
Step 2 — Subscribe to Market Data
For real-time pricing, establish WebSocket connections and subscribe to:
book.{instrument_name}.10- top 10 order book levelsticker.{instrument_name}- 24h summary statstrade.{instrument_name}- trade feed
Step 3 — Polling Fallback
If WebSocket connections are unavailable, poll public/get-tickers and public/get-book at reasonable intervals (e.g., 1-5 seconds).
public/get-risk-parameters
GETProvides information on risk parameter settings for Smart Cross Margin./public/get-risk-parameters
Schema
- Array [
- ]
Echoed request id
Method invoked
0 = success; non-zero indicates error (reason code).
result object
default max product leverage for margin trading unless specified in base_currency_config array
default max product leverage for perpetuals unless specified in base_currency_config array
default max product leverage for futures unless specified in base_currency_config array
default max long position permitted for perpetual contracts, unless specified in base_currency_config array. A value of -1 indicates that no position limit applies.
default max short position permitted for perpetual contracts, unless specified in base_currency_config array. A value of -1 indicates that no position limit applies.
default max long position permitted on futures, unless specified in base_currency_config array. A value of -1 indicates that no position limit applies.
default max short position permitted on futures, unless specified in base_currency_config array. A value of -1 indicates that no position limit applies.
default additional margin rate / haircut rate for holding 1 unit of positions unless specified in base_currency_config array
refer to specified collateral cap for each token in base_currency_config array. Field is omitted if the token is not eligible as collateral
Last update time (ms).
base_currency_config object[]
the maximum $notional that is counted towards the margin balance. Any additional token balance would not contribute to the margin balance. Field is omitted if the token is not eligible as collateral
Minimum haircut rate. Field is omitted if the token is not eligible as collateral
the max product leverage for margin trading on this token.
the max product leverage for perpetuals on this base token
the max product leverage for futures on this base token
the additional margin rate / haircut rate for holding 1 unit of positions with this base token
max negative asset balance user can hold on the base token. If field is omitted means no short sell permitted on the token
max spot order notional user can place in rolling 24-hour window. If field is omitted
max $notional per spot order on this base token
max $notional per spot order on this base token
min $notional per spot order on this base token
the max long position permitted for perpetuals on this base token
the max short position permitted for perpetuals on this base token
the max long position permitted for futures on this base token
the max short position permitted for futures on this base token
Response message. Contains additional reason when code !== 0.
Present when code !== 0.
public/get-instruments
GETProvides information on all supported instruments (e.g. BTCUSD-PERP)./public/get-instruments
Request
Query Parameters
Filter by up to 10 event symbols. Comma-separated.
Filter for combo instruments.
Filter by predict contract type.
Schema
- Array [
- ]
Echoed request id
Method invoked
0 = success; non-zero indicates error (reason code).
result object
data object[]
Instrument name, e.g. BTCUSD-PERP
Instrument type, e.g. PERPETUAL_SWAP
Display name, e.g. BTCUSD Perpetual
Base currency, e.g. BTC
Quote currency, e.g. USD
Minimum decimal place for price field
Minimum decimal place for qty field
Minimum price tick size
Minimum trading quantity / tick size
Max leverage of the product
True or false
Expiry timestamp in milliseconds
Whether this is a beta product.
Underlying symbol
Product type of the instrument. Possible values: COMMODITIES, EQUITY_IND, CURRENCIES, DIGITAL_CURRENCIES, EVENTS, EQUITY, PRE_IPO. Only returned if applicable.
Contract size for the instrument.
Whether margin buying is enabled for this instrument.
Whether margin selling is enabled for this instrument.
event_details object
Event details for prediction market instruments. Structure is flexible and defined by external systems.
Unix timestamp in nanoseconds when the instrument was last updated.
Cursor for pagination. Use this value in the cursor parameter of the next request.
Response message. Contains additional reason when code !== 0.
Present when code !== 0.
public/get-book
GETFetches the public order book for a particular instrument and depth./public/get-book
Request
Query Parameters
Instrument symbol, e.g. BTCUSD-PERP
Number of bids and asks to return (up to 50)
Schema
- Array [
- ]
Echoed request id
Method invoked
0 = success; non-zero indicates error (reason code).
result object
Number of bids and asks to return (up to 50)
e.g. BTCUSD-PERP
data object[]
Response message. Contains additional reason when code !== 0.
Present when code !== 0.
public/get-candlestick
GETRetrieves candlesticks (k-line data history) over a given period for an instrument (e.g. BTCUSD-PERP)./public/get-candlestick
Request
Query Parameters
Instrument symbol, e.g. BTCUSD-PERP
Possible values: [1m, 5m, 15m, 30m, 1h, 2h, 4h, 12h, 1D, 7D, 14D, 1M]
The period value. Default 1m.
Default value: 25
Number of candles to return. Default 25.
Start time (Unix timestamp). Default 1 day ago.
End time (Unix timestamp). Default current time.
Schema
- Array [
- ]
Echoed request id
Method invoked
0 = success; non-zero indicates error (reason code).
result object
The period (e.g. M5).
e.g. BTCUSD-PERP
data object[]
Open
High
Low
Close
Volume
Start time of candlestick (Unix timestamp, ms), e.g. "1771761038000".
Response message. Contains additional reason when code !== 0.
Present when code !== 0.
public/get-trades
GETFetches the public trades for a particular instrument. Time window can only be up to 7 days for maximum./public/get-trades
Request
Query Parameters
e.g. BTCUSD-PERP
Default value: 25
The maximum number of trades to be retrieved. Default: 25. Max: 150
Start time in Unix time format (inclusive). Default: end_time - 1 day. Nanosecond recommended for accurate pagination
End time in Unix time format (exclusive). Default: current system timestamp. Nanosecond recommended for accurate pagination
Schema
- Array [
- ]
Echoed request id
Method invoked
0 = success; non-zero indicates error (reason code).
result object
data object[]
Trade ID
Trade timestamp in milliseconds, e.g. "1771761038000".
Trade price
Trade quantity
Possible values: [BUY, SELL]
BUY or SELL
Instrument name e.g. BTCUSD-PERP
Trade match ID
Trade timestamp in nanoseconds (REST only)
Response message. Contains additional reason when code !== 0.
Present when code !== 0.
public/get-tickers
GETFetches the public tickers for all or a particular instrument./public/get-tickers
Request
Query Parameters
e.g. BTCUSD-PERP
Schema
- Array [
- ]
Echoed request id
Method invoked
0 = success; non-zero indicates error (reason code).
result object
data object[]
Price of the 24h highest trade
Price of the 24h lowest trade, null if there weren't any trades
The price of the latest trade, null if there weren't any trades
24-hour price change, null if there weren't any trades
The current best bid price, null if there aren't any bids
The current best ask price, null if there aren't any asks
Instrument name
The total 24h traded volume
The total 24h traded volume value (in USD)
The open interest
The published timestamp in ms, e.g. "1771761038000".
Response message. Contains additional reason when code !== 0.
Present when code !== 0.
public/get-valuations
GETFetches valuation type data for an instrument./public/get-valuations
Request
Query Parameters
- a. index_price: returns per minute data of underlying reference price of the instrument.
- b. mark_price: returns per minute data of mark price of the instrument.
- c. funding_hist: returns hourly data of the funding rate settled in past hourly settlement.
- d. funding_rate: returns per minute data of current hourly funding rate that will settle at the end of each hour of current 4-hour interval.
- e. estimated_funding_rate: returns per minute data of estimated funding rate for the next interval.
e.g. BTCUSD-INDEX
List of available types:
Default value: 25
Default is 25
Default timestamp is 30 days ago for funding_hist, and 1 day ago for other valuation_type (Unix timestamp).
Default timestamp is current time (Unix timestamp).
Schema
- Array [
- ]
Echoed request id
Method invoked
0 = success; non-zero indicates error (reason code).
result object
e.g. BTCUSD-INDEX
data object[]
Value
Timestamp (ms), e.g. "1771761038000".
Response message. Contains additional reason when code !== 0.
Present when code !== 0.
public/get-expired-settlement-price
GETFetches settlement prices of expired instruments./public/get-expired-settlement-price
Request
Query Parameters
FUTURE
Default value: 1
Page number. Default 1.
Schema
- Array [
- ]
Echoed request id
Method invoked
0 = success; non-zero indicates error (reason code).
result object
data object[]
Instrument name
Expiry timestamp (ms).
Value
Timestamp (ms).
Response message. Contains additional reason when code !== 0.
Present when code !== 0.
public/get-deposit-instruments
GETReturns the list of instruments eligible for deposit and use as collateral./public/get-deposit-instruments
Schema
- Array [
- ]
Original request identifier
Method name
0 for success; error code otherwise
Error message for non-zero codes
result object[]
Instrument symbol
Instrument type (e.g. CCY)
Display name
Base currency
Quote currency
Decimal places for quote currency
Decimal places for quantity
Haircut rate (decimal string)
Whether eligible as collateral
Minimum price increment
Minimum quantity increment
Maximum leverage
Whether the instrument is tradable
Expiry timestamp (epoch ms). 0 if no expiry.
Whether this is a beta product
Conversion fee rate
Whether margin buy is enabled
Whether margin sell is enabled
Internal instrument ID
public/get-insurance
GETFetches the balance of the Insurance Fund for a particular currency./public/get-insurance
Request
Query Parameters
e.g. USD
Default value: 25
Default is 25
Default timestamp is 1 day ago (Unix timestamp).
Default timestamp is current time (Unix timestamp).
Schema
- Array [
- ]
Echoed request id
Method invoked
0 = success; non-zero indicates error (reason code).
result object
e.g. USD
data object[]
Value
Timestamp (ms), e.g. "1771761038000".
Response message. Contains additional reason when code !== 0.
Present when code !== 0.
Account Balance and Positions
Retrieve real-time and historical snapshots of wallet balances, open positions, margin requirements, and collateral status. Use these endpoints to monitor account health, risk exposure, and available trading capacity.
Account Balance
The user balance response provides a comprehensive view of the account:
- Available balance — funds available for new positions and withdrawals
- Margin balance — total collateral value (cash + collateral-eligible tokens after haircut)
- Initial margin (IM) — collateral required to open current positions and orders
- Maintenance margin (MM) — minimum collateral threshold to avoid liquidation
- Position balance — per-token breakdown showing quantity, market value, haircut rate, and collateral contribution
If margin balance falls below maintenance margin, the account enters liquidation.
Positions
The positions endpoint returns all open derivative contracts, including instrument name, quantity (signed to indicate direction), position cost, and session PnL. For real-time mark price, liquidation price, and margin requirements, subscribe to the user.positions WebSocket channel.
Subaccounts
Master accounts can create subaccounts to isolate trading activity. Use the subaccount transfer endpoint to move funds between accounts.
private/user-balance
POSTReturns the user's wallet balance./private/user-balance
Request
Body
required
Request id (echoed in response)
Must be "private/user-balance"
Your API key (only required for private REST)
HMAC-SHA256 signature in hex (only required for private REST)
Current timestamp in milliseconds, e.g. "1771761038000".
params objectrequired
Schema
- Array [
- Array [
- ]
- Array [
- Array [
- ]
- ]
- ]
Echoed request id
Method invoked
0 = success; non-zero indicates error (reason code).
result object
data object[]
Instrument name of the balance e.g. USD
Balance that user can open new order (Margin Balance - Initial Margin)
Positive cash balance on eligible collateral tokens + Negative balance on all tokens + Unrealised PnL - Fee reserves
Total margin requirement to support positions and all open orders IM and haircut from risk asset holdings. Total sum of total_position_im + total_haircut.
Total maintenance margin requirement for all positions
Position value in USD
Wallet Balance (Deposits - Withdrawals + Realized PnL - Fees)
Collateral Value
Current unrealized profit and loss from all open positions (calculated with Mark Price and Avg Price)
Current realized profit and loss from all open positions
Describes whether the account is under liquidation
The actual leverage used (all open positions combined), i.e. position size / margin balance.
Maximum position size allowed (for all open positions combined)
Combined position size of all open positions + order exposure on all instruments
Sum of cash balance of the isolated positions
Initial margin requirement to support open positions and orders
Total haircut on eligible collateral token assets
Total risk exposure. Optional.
Total borrow. Optional.
Margin score. Optional.
Whether the account has risk. Optional.
Whether the account is terminatable. Optional.
Credit limits; may be empty. Item shape TBD when non-empty. Optional.
position_balances object[]
Instrument name of the collateral e.g. USD
Quantity of the collateral
Market value of the collateral
true or false
Show haircut for eligible collateral token
Collateral amount after haircut is applied
Max withdrawal balance of the collateral
Fund/balance in use, not available for new orders or additional trading activities.
Hourly interest rate for the collateral; e.g. "0". Optional.
isolated_positions object[]
Instrument name of the balance e.g. USD
Balance that user can open new order (Margin Balance - Initial Margin)
Positive cash balance on eligible collateral tokens + Negative balance on all tokens + Unrealised PnL - Fee reserves
Total margin requirement to support positions and all open orders IM and haircut from risk asset holdings. Total sum of total_position_im + total_haircut.
Total maintenance margin requirement for all positions
Position value in USD
Wallet Balance (Deposits - Withdrawals + Realized PnL - Fees)
Collateral Value
Current unrealized profit and loss from all open positions (calculated with Mark Price and Avg Price)
Current realized profit and loss from all open positions
Describes whether the account is under liquidation
The actual leverage used (all open positions combined), i.e. position size / margin balance.
Maximum position size allowed (for all open positions combined)
Combined position size of all open positions + order exposure on all instruments
Sum of cash balance of the isolated positions
Initial margin requirement to support open positions and orders
Total haircut on eligible collateral token assets
Total risk exposure. Optional.
Total borrow. Optional.
Margin score. Optional.
Whether the account has risk. Optional.
Whether the account is terminatable. Optional.
Credit limits; may be empty. Item shape TBD when non-empty. Optional.
position_balances object[]
Instrument name of the collateral e.g. USD
Quantity of the collateral
Market value of the collateral
true or false
Show haircut for eligible collateral token
Collateral amount after haircut is applied
Max withdrawal balance of the collateral
Fund/balance in use, not available for new orders or additional trading activities.
Hourly interest rate for the collateral; e.g. "0". Optional.
Isolation ID of isolated position.
The maximum leverage of the isolated position.
Possible values: [ISOLATED_MARGIN]
Isolation type
Optional; sub-account ID in get-subaccount-balances.
Response message. Contains additional reason when code !== 0.
Present when code !== 0.
{
"id": "11",
"method": "private/user-balance",
"api_key": "YOUR_API_KEY",
"sig": "DIGITAL_SIGNATURE",
"params": {},
"nonce": "1611022832613"
}POST /private/user-balance HTTP/1.1
Host: api.crypto.com/exchange/v1
Content-Type: application/json
{
"id": "11",
"method": "private/user-balance",
"api_key": "YOUR_API_KEY",
"sig": "DIGITAL_SIGNATURE",
"params": {},
"nonce": "1611022832613"
}private/user-balance-history
POSTReturns the user's balance history. This call may temporarily have discrepancies with that shown on the GUI./private/user-balance-history
Request
Body
required
Request id (echoed in response)
Must be "private/user-balance-history"
Your API key (only required for private REST)
HMAC-SHA256 signature in hex (only required for private REST)
Current timestamp in milliseconds, e.g. "1771761038000".
params objectrequired
Possible values: [H1, D1]
H1 = hourly, D1 = daily
Can be millisecond or nanosecond. Exclusive, e.g. "1771761038000" or "1771761038000000000". If not provided, will be current time.
If timeframe is D1, max limit will be 30 (days). If timeframe is H1, max limit will be 120 (hours).
Schema
- Array [
- ]
Echoed request id
Method invoked
0 = success; non-zero indicates error (reason code).
result object
Instrument name of the balance e.g. USD
data object[]
Timestamp (ms).
Total cash balance.
Response message. Contains additional reason when code !== 0.
Present when code !== 0.
{
"id": "11",
"method": "private/user-balance-history",
"api_key": "YOUR_API_KEY",
"sig": "DIGITAL_SIGNATURE",
"params": {},
"nonce": "1611022832613"
}POST /private/user-balance-history HTTP/1.1
Host: api.crypto.com/exchange/v1
Content-Type: application/json
{
"id": "11",
"method": "private/user-balance-history",
"api_key": "YOUR_API_KEY",
"sig": "DIGITAL_SIGNATURE",
"params": {},
"nonce": "1611022832613"
}private/get-accounts
POSTGet Account and its Sub Accounts./private/get-accounts
Request
Body
required
Request id (echoed in response)
Must be "private/get-accounts"
Your API key (only required for private REST)
HMAC-SHA256 signature in hex (only required for private REST)
Current timestamp in milliseconds, e.g. "1771761038000".
params objectrequired
Default value: 20
Number of items per page. Default 20.
Default value: 0
Page number (0-based). Default 0.
Schema
- Array [
- ]
Echoed request id
Method invoked
0 = success; non-zero indicates error (reason code).
result object
this_account object
UUID of the API key
Possible values: [MASTER, SUB_ACCOUNT]
Account type of the API key: MASTER or SUB_ACCOUNT.
master_account objectrequired
UUID of the API key
Possible values: [MASTER, SUB_ACCOUNT]
Account type of the API key: MASTER or SUB_ACCOUNT.
Master account uuid
Margin account uuid (optional)
Sub account label (typically present for sub-accounts)
true or false
true or false
Name of sub account
Email of sub account
Mobile number of sub account
Country Code of sub account
Address of sub account
Possible values: [DEFAULT, DISABLED]
DEFAULT or DISABLED
Possible values: [DEFAULT, DISABLED]
DEFAULT or DISABLED
Creation timestamp (milliseconds since the Unix epoch).
Last update timestamp (milliseconds since the Unix epoch).
true or false
Kyc Level
true or false
true or false
sub_account_list object[]required
UUID of the API key
Possible values: [MASTER, SUB_ACCOUNT]
Account type of the API key: MASTER or SUB_ACCOUNT.
Master account uuid
Margin account uuid (optional)
Sub account label (typically present for sub-accounts)
true or false
true or false
Name of sub account
Email of sub account
Mobile number of sub account
Country Code of sub account
Address of sub account
Possible values: [DEFAULT, DISABLED]
DEFAULT or DISABLED
Possible values: [DEFAULT, DISABLED]
DEFAULT or DISABLED
Creation timestamp (milliseconds since the Unix epoch).
Last update timestamp (milliseconds since the Unix epoch).
true or false
Kyc Level
true or false
true or false
Response message. Contains additional reason when code !== 0.
Present when code !== 0.
{
"id": "12",
"method": "private/get-accounts",
"api_key": "YOUR_API_KEY",
"sig": "DIGITAL_SIGNATURE",
"params": {
"page_size": "30",
"page": "2"
},
"nonce": "1587846358253"
}POST /private/get-accounts HTTP/1.1
Host: api.crypto.com/exchange/v1
Content-Type: application/json
{
"id": "12",
"method": "private/get-accounts",
"api_key": "YOUR_API_KEY",
"sig": "DIGITAL_SIGNATURE",
"params": {
"page_size": "30",
"page": "2"
},
"nonce": "1587846358253"
}private/create-subaccount-transfer
POSTTransfer between subaccounts (and master account)./private/create-subaccount-transfer
Request
Body
required
Request id (echoed in response)
Must be "private/create-subaccount-transfer"
Your API key (only required for private REST)
HMAC-SHA256 signature in hex (only required for private REST)
Current timestamp in milliseconds, e.g. "1771761038000".
params objectrequired
Account UUID to be debited.
Account UUID to be credited.
Currency symbol.
Amount to transfer; must be a positive number.
Schema
Echoed request id
Method invoked
0 = success; non-zero indicates error (reason code).
result object
Response message. Contains additional reason when code !== 0.
Present when code !== 0.
{
"id": "1234",
"method": "private/create-subaccount-transfer",
"api_key": "YOUR_API_KEY",
"sig": "DIGITAL_SIGNATURE",
"params": {
"from": "12345678-0000-0000-0000-000000000001",
"to": "12345678-0000-0000-0000-000000000002",
"currency": "CRO",
"amount": "500"
},
"nonce": "1587846358253"
}POST /private/create-subaccount-transfer HTTP/1.1
Host: api.crypto.com/exchange/v1
Content-Type: application/json
{
"id": "1234",
"method": "private/create-subaccount-transfer",
"api_key": "YOUR_API_KEY",
"sig": "DIGITAL_SIGNATURE",
"params": {
"from": "12345678-0000-0000-0000-000000000001",
"to": "12345678-0000-0000-0000-000000000002",
"currency": "CRO",
"amount": "500"
},
"nonce": "1587846358253"
}private/get-subaccount-balances
POSTReturns the user's wallet balances of all sub-accounts./private/get-subaccount-balances
Request
Body
required
Request id (echoed in response)
Must be "private/get-subaccount-balances"
Your API key (only required for private REST)
HMAC-SHA256 signature in hex (only required for private REST)
Current timestamp in milliseconds, e.g. "1771761038000".
params objectrequired
Schema
- Array [
- Array [
- ]
- Array [
- Array [
- ]
- ]
- ]
Echoed request id
Method invoked
0 = success; non-zero indicates error (reason code).
result object
data object[]
Instrument name of the balance e.g. USD
Balance that user can open new order (Margin Balance - Initial Margin)
Positive cash balance on eligible collateral tokens + Negative balance on all tokens + Unrealised PnL - Fee reserves
Total margin requirement to support positions and all open orders IM and haircut from risk asset holdings. Total sum of total_position_im + total_haircut.
Total maintenance margin requirement for all positions
Position value in USD
Wallet Balance (Deposits - Withdrawals + Realized PnL - Fees)
Collateral Value
Current unrealized profit and loss from all open positions (calculated with Mark Price and Avg Price)
Current realized profit and loss from all open positions
Describes whether the account is under liquidation
The actual leverage used (all open positions combined), i.e. position size / margin balance.
Maximum position size allowed (for all open positions combined)
Combined position size of all open positions + order exposure on all instruments
Sum of cash balance of the isolated positions
Initial margin requirement to support open positions and orders
Total haircut on eligible collateral token assets
Total risk exposure. Optional.
Total borrow. Optional.
Margin score. Optional.
Whether the account has risk. Optional.
Whether the account is terminatable. Optional.
Credit limits; may be empty. Item shape TBD when non-empty. Optional.
position_balances object[]
Instrument name of the collateral e.g. USD
Quantity of the collateral
Market value of the collateral
true or false
Show haircut for eligible collateral token
Collateral amount after haircut is applied
Max withdrawal balance of the collateral
Fund/balance in use, not available for new orders or additional trading activities.
Hourly interest rate for the collateral; e.g. "0". Optional.
isolated_positions object[]
Instrument name of the balance e.g. USD
Balance that user can open new order (Margin Balance - Initial Margin)
Positive cash balance on eligible collateral tokens + Negative balance on all tokens + Unrealised PnL - Fee reserves
Total margin requirement to support positions and all open orders IM and haircut from risk asset holdings. Total sum of total_position_im + total_haircut.
Total maintenance margin requirement for all positions
Position value in USD
Wallet Balance (Deposits - Withdrawals + Realized PnL - Fees)
Collateral Value
Current unrealized profit and loss from all open positions (calculated with Mark Price and Avg Price)
Current realized profit and loss from all open positions
Describes whether the account is under liquidation
The actual leverage used (all open positions combined), i.e. position size / margin balance.
Maximum position size allowed (for all open positions combined)
Combined position size of all open positions + order exposure on all instruments
Sum of cash balance of the isolated positions
Initial margin requirement to support open positions and orders
Total haircut on eligible collateral token assets
Total risk exposure. Optional.
Total borrow. Optional.
Margin score. Optional.
Whether the account has risk. Optional.
Whether the account is terminatable. Optional.
Credit limits; may be empty. Item shape TBD when non-empty. Optional.
position_balances object[]
Instrument name of the collateral e.g. USD
Quantity of the collateral
Market value of the collateral
true or false
Show haircut for eligible collateral token
Collateral amount after haircut is applied
Max withdrawal balance of the collateral
Fund/balance in use, not available for new orders or additional trading activities.
Hourly interest rate for the collateral; e.g. "0". Optional.
Isolation ID of isolated position.
The maximum leverage of the isolated position.
Possible values: [ISOLATED_MARGIN]
Isolation type
Optional; sub-account ID in get-subaccount-balances.
Response message. Contains additional reason when code !== 0.
Present when code !== 0.
{
"id": "1",
"method": "private/get-subaccount-balances",
"api_key": "YOUR_API_KEY",
"sig": "DIGITAL_SIGNATURE",
"params": {},
"nonce": "1"
}POST /private/get-subaccount-balances HTTP/1.1
Host: api.crypto.com/exchange/v1
Content-Type: application/json
{
"id": "1",
"method": "private/get-subaccount-balances",
"api_key": "YOUR_API_KEY",
"sig": "DIGITAL_SIGNATURE",
"params": {},
"nonce": "1"
}private/get-positions
POSTReturns the user's position./private/get-positions
Request
Body
required
Request id (echoed in response)
Must be "private/get-positions"
Your API key (only required for private REST)
HMAC-SHA256 signature in hex (only required for private REST)
Current timestamp in milliseconds, e.g. "1771761038000".
params objectrequired
E.g. BTCUSD-PERP. Omit for 'all'.
Schema
- Array [
- ]
Echoed request id
Method invoked
0 = success; non-zero indicates error (reason code).
result object
data object[]
Account ID.
E.g. BTCUSD-PERP.
E.g. PERPETUAL_SWAP.
Position quantity.
Position cost or value in USD.
Profit and loss for the open position.
Open position cost.
Profit and loss in the current trading session.
Updated time (Unix timestamp).
Isolation ID of the isolated position.
Possible values: [ISOLATED_MARGIN]
Isolation type
Response message. Contains additional reason when code !== 0.
Present when code !== 0.
{
"id": "1",
"method": "private/get-positions",
"api_key": "YOUR_API_KEY",
"sig": "DIGITAL_SIGNATURE",
"params": {},
"nonce": "1611022832613"
}POST /private/get-positions HTTP/1.1
Host: api.crypto.com/exchange/v1
Content-Type: application/json
{
"id": "1",
"method": "private/get-positions",
"api_key": "YOUR_API_KEY",
"sig": "DIGITAL_SIGNATURE",
"params": {},
"nonce": "1611022832613"
}private/get-fee-credit-balances
POSTGet fee credit balance details for the authenticated account. Fee credits are grouped by expiry date and sorted in ascending order. Values are not real-time and are updated daily at 00:00 UTC./private/get-fee-credit-balances
Request
Body
required
Request id (echoed in response)
Must be "private/get-fee-credit-balances"
Your API key (only required for private REST)
HMAC-SHA256 signature in hex (only required for private REST)
Current timestamp in milliseconds, e.g. "1771761038000".
params objectrequired
Page number (0-based).
Possible values: >= 1 and <= 200
Number of entries per page. Default: 200, Max: 200.
Schema
- Array [
- Array [
- ]
- ]
Echoed request id
Method invoked
0 = success; non-zero indicates error (reason code).
result object
fee_credits object[]required
Expiry date in epoch milliseconds (end of day 23:59 UTC)
Comma-separated campaign names. Master accounts only.
Total distributed amount (8 decimal places). Master accounts only.
Estimated available balance (8 decimal places)
details object[]
Campaign name
Distribution date in epoch milliseconds (end of day 23:59 UTC)
Amount distributed for this campaign (8 decimal places)
Response message. Contains additional reason when code !== 0.
Present when code !== 0.
{
"id": "1",
"method": "private/get-fee-credit-balances",
"api_key": "YOUR_API_KEY",
"sig": "DIGITAL_SIGNATURE",
"params": {
"page": 0,
"page_size": 200
},
"nonce": "1721989202781"
}POST /private/get-fee-credit-balances HTTP/1.1
Host: api.crypto.com/exchange/v1
Content-Type: application/json
{
"id": "1",
"method": "private/get-fee-credit-balances",
"api_key": "YOUR_API_KEY",
"sig": "DIGITAL_SIGNATURE",
"params": {
"page": 0,
"page_size": 200
},
"nonce": "1721989202781"
}Trading
Private trading endpoints manage order placement and lifecycle. All order operations (create, amend, cancel) are asynchronous — the REST response confirms the request was received, but order lifecycle updates arrive via WebSocket subscriptions.
Order Management Workflow
Create Order
Call private/create-order to submit a new order. The response returns an order_id and client_oid, but the order may still be pending acceptance by the matching engine. Subscribe to user.order or user.order.{instrument_name} to receive real-time order status updates.
Amend Order
Call private/amend-order to modify price or quantity on an existing order. Behind the scenes, amend performs a cancel-then-create operation. The new order loses queue priority unless you are only reducing quantity.
Cancel Order
Call private/cancel-order to cancel a single order by order_id or client_oid, or private/cancel-all-orders to cancel all orders for a given instrument.
Order Types
| Type | Description |
|---|---|
LIMIT | Limit order with specified price. Rests on the order book until filled or canceled. |
MARKET | Market order that executes immediately at best available price. |
For trigger orders (stop-loss, take-profit) and multi-leg strategies (OCO, OTO, OTOCO), see Advanced Order Management.
Time in Force
| Value | Description |
|---|---|
GOOD_TILL_CANCEL | Order remains active until filled or explicitly canceled. Default for limit orders. |
IMMEDIATE_OR_CANCEL | Order fills immediately (partial or full), unfilled portion is canceled. |
FILL_OR_KILL | Order must fill entirely and immediately, or the entire order is canceled. |
Execution Instructions
Execution instructions are passed as an array in exec_inst. Multiple instructions can be combined.
| Instruction | Description |
|---|---|
POST_ONLY | Order is rejected if it would take liquidity. Ensures maker fee. |
SMART_POST_ONLY | If the order would take liquidity, it is repriced to the best maker level instead of being rejected. |
REDUCE_ONLY | Order can only reduce an existing position, not increase or open a new position. |
Order Statuses
| Status | Description |
|---|---|
PENDING | Order submitted, awaiting processing by the matching engine. |
NEW | Order accepted by the matching engine, not yet on the order book. |
ACTIVE | Order is live on the order book, waiting to be filled. |
FILLED | Order has been completely filled. |
CANCELED | Order was canceled (by user request, or by system). |
EXPIRED | Order expired due to time-in-force constraints. |
REJECTED | Order was rejected (e.g., invalid parameters, risk checks failed). |
Querying Orders and Trades
private/get-open-orders— retrieve all currently active ordersprivate/get-order-detail— fetch detailed information about a single orderprivate/get-order-history— retrieve past orders (filled, canceled, or rejected)private/get-trades— retrieve executed trades (fills)
Real-Time Order and Trade Updates
Subscribe to the following WebSocket channels for real-time updates:
| Channel | Description |
|---|---|
user.order | Order lifecycle events across all instruments |
user.order.{instrument_name} | Order updates for a specific instrument |
user.trade | Trade execution events across all instruments |
user.trade.{instrument_name} | Trade execution events for a specific instrument |
These subscriptions require authentication and eliminate the need for polling REST endpoints.
private/create-order
POSTCreates a new BUY or SELL order./private/create-order
This call is asynchronous, so the response is simply a confirmation of the request.
The user.order subscription can be used to check when the order is successfully created.
Request
Body
required
- ➖ M: Cancel Maker
- ➖ T: Cancel Taker
- ➖ B: Cancel Both Maker and Taker
- ➖ M: Matches Master or Sub a/c
- ➖ S: Matches Sub a/c only
- ➖ D: reset all STP fields to default (stp_inst and stp_id in same request are ignored).
Request id (echoed in response)
Must be "private/create-order"
Your API key (only required for private REST)
HMAC-SHA256 signature in hex (only required for private REST)
Current timestamp in milliseconds, e.g. "1771761038000".
params objectrequired
Instrument symbol, e.g. BTCUSD-PERP
Possible values: [BUY, SELL]
BUY or SELL
Order quantity. For MARKET BUY can use notional instead.
Client order ID (max 36 chars). Recommended for correlation.
Possible values: [GOOD_TILL_CANCEL, IMMEDIATE_OR_CANCEL, FILL_OR_KILL]
Time in force
Possible values: [POST_ONLY, REDUCE_ONLY, SMART_POST_ONLY, ISOLATED_MARGIN, MARGIN_ORDER]
Optional array of execution instructions. POST_ONLY and SMART_POST_ONLY mutually exclusive.
Fee instrument (e.g. CRO) for fee deduction
Self-trade prevention ID (0 to 32767)
Possible values: [M, T, B]
Self-trade prevention instruction. Used in private/change-account-settings (params) and private/get-account-settings (result). Mandatory if stp_scope is set.
Possible values: [M, S, D]
Self-trade prevention scope. Used in private/change-account-settings (params) and private/get-account-settings (result).
Possible values: [LIMIT, MARKET]
Order type: LIMIT or MARKET
Limit price (required for LIMIT orders)
Amount to spend; for MARKET BUY only (alternative to quantity)
Possible values: [SPOT, MARGIN]
SPOT or MARGIN (spot/margin mode).
Isolated margin amount
Isolation ID for isolated margin
Leverage for margin/derivatives
Schema
Echoed request id
Method invoked
0 = success; non-zero indicates error (reason code).
result object
Newly created order ID
Client Order ID from the request, or the request nonce if not provided. Recommend specifying client_oid as nonce can be the same across orders.
Response message. Contains additional reason when code !== 0.
Present when code !== 0.
{
"id": "1",
"method": "private/create-order",
"api_key": "YOUR_API_KEY",
"sig": "DIGITAL_SIGNATURE",
"nonce": "1610905028000",
"params": {
"instrument_name": "BTCUSD-PERP",
"side": "SELL",
"type": "LIMIT",
"price": "50000.5",
"quantity": "1",
"client_oid": "c5f682ed-7108-4f1c-b755-972fcdca0f02",
"exec_inst": [
"POST_ONLY"
],
"time_in_force": "FILL_OR_KILL"
}
}POST /private/create-order HTTP/1.1
Host: api.crypto.com/exchange/v1
Content-Type: application/json
{
"id": "1",
"method": "private/create-order",
"api_key": "YOUR_API_KEY",
"sig": "DIGITAL_SIGNATURE",
"nonce": "1610905028000",
"params": {
"instrument_name": "BTCUSD-PERP",
"side": "SELL",
"type": "LIMIT",
"price": "50000.5",
"quantity": "1",
"client_oid": "c5f682ed-7108-4f1c-b755-972fcdca0f02",
"exec_inst": [
"POST_ONLY"
],
"time_in_force": "FILL_OR_KILL"
}
}private/amend-order
POSTAmend an existing order on the Exchange./private/amend-order
This call is asynchronous, so the response is simply a confirmation of the request.
The user.order subscription can be used to check when the order is successfully created.
Please note that amend order is designed as a convenience function such that it performs cancel and then create behind the scene. The new order will lose queue priority, except if the amend is only to amend down order quantity.
Request
Body
required
Request id (echoed in response)
Must be "private/amend-order"
Your API key (only required for private REST)
HMAC-SHA256 signature in hex (only required for private REST)
Current timestamp in milliseconds, e.g. "1771761038000".
params objectrequired
Optional Order ID. Either order_id or orig_client_oid must be present.
Client Order ID (maximum 36 characters).
Optional Original Client Order ID. Either order_id or orig_client_oid must be present. If both exist, order_id has higher priority.
The new amended price. If no change required, input original value.
The new amended quantity. If no change required, input original value.
Schema
Echoed request id
Method invoked
0 = success; non-zero indicates error (reason code).
result object
Client order ID
Order ID
Response message. Contains additional reason when code !== 0.
Present when code !== 0.
{
"id": "53",
"method": "private/amend-order",
"api_key": "YOUR_API_KEY",
"sig": "DIGITAL_SIGNATURE",
"nonce": "1587846358253",
"params": {
"order_id": "6530219466236720401",
"new_price": "82000",
"new_quantity": "0.0002"
}
}POST /private/amend-order HTTP/1.1
Host: api.crypto.com/exchange/v1
Content-Type: application/json
{
"id": "53",
"method": "private/amend-order",
"api_key": "YOUR_API_KEY",
"sig": "DIGITAL_SIGNATURE",
"nonce": "1587846358253",
"params": {
"order_id": "6530219466236720401",
"new_price": "82000",
"new_quantity": "0.0002"
}
}private/cancel-order
POSTCancels an existing order on the Exchange./private/cancel-order
This call is asynchronous, so the response is simply a confirmation of the request.
The user.order subscription can be used to check when the order is successfully canceled.
Request
Body
required
Request id (echoed in response)
Must be "private/cancel-order"
Your API key (only required for private REST)
HMAC-SHA256 signature in hex (only required for private REST)
Current timestamp in milliseconds, e.g. "1771761038000".
params objectrequired
Optional Order ID. Either order_id or client_oid must be present. string format is highly recommended.
Optional Client Order ID. Either order_id or client_oid must be present.
Schema
Echoed request id
Method invoked
0 = success; non-zero indicates error (reason code).
result object
Order ID
Client Order ID
Response message. Contains additional reason when code !== 0.
Present when code !== 0.
{
"id": "1",
"method": "private/cancel-order",
"api_key": "YOUR_API_KEY",
"sig": "DIGITAL_SIGNATURE",
"nonce": "1610905028000",
"params": {
"order_id": "18342311"
}
}POST /private/cancel-order HTTP/1.1
Host: api.crypto.com/exchange/v1
Content-Type: application/json
{
"id": "1",
"method": "private/cancel-order",
"api_key": "YOUR_API_KEY",
"sig": "DIGITAL_SIGNATURE",
"nonce": "1610905028000",
"params": {
"order_id": "18342311"
}
}private/cancel-all-orders
POSTCancels all orders for a particular instrument/pair (asynchronous)./private/cancel-all-orders
This call is asynchronous, so the response is simply a confirmation of the request.
The user.order subscription can be used to check when the order is successfully canceled.
Request
Body
required
- ➖ private/cancel-all-orders: LIMIT, ALL
- ➖ private/advanced/cancel-all-orders: LIMIT, TRIGGER, ALL. For LIMIT, only the legs from advanced orders will be in-scope.
Request id (echoed in response)
Must be "private/cancel-all-orders"
Your API key (only required for private REST)
HMAC-SHA256 signature in hex (only required for private REST)
Current timestamp in milliseconds, e.g. "1771761038000".
params objectrequired
e.g. BTCUSD-PERP. If not provided, the orders of ALL instruments will be canceled.
Possible values: [LIMIT, TRIGGER, ALL]
Allowed values depend on operation:
Schema
Echoed request id
Method invoked
0 = success; non-zero indicates error (reason code).
result object
Response message. Contains additional reason when code !== 0.
Present when code !== 0.
{
"id": "1",
"method": "private/cancel-all-orders",
"api_key": "YOUR_API_KEY",
"sig": "DIGITAL_SIGNATURE",
"nonce": "1611169184000",
"params": {
"instrument_name": "BTCUSD-PERP"
}
}POST /private/cancel-all-orders HTTP/1.1
Host: api.crypto.com/exchange/v1
Content-Type: application/json
{
"id": "1",
"method": "private/cancel-all-orders",
"api_key": "YOUR_API_KEY",
"sig": "DIGITAL_SIGNATURE",
"nonce": "1611169184000",
"params": {
"instrument_name": "BTCUSD-PERP"
}
}private/close-position
POSTCancels position for a particular instrument/pair (asynchronous)./private/close-position
This call is asynchronous, so the response is simply a confirmation of the request.
The user.order subscription can be used to check when the order is successfully canceled.
Request
Body
required
Request id (echoed in response)
Must be "private/close-position"
Your API key (only required for private REST)
HMAC-SHA256 signature in hex (only required for private REST)
Current timestamp in milliseconds, e.g. "1771761038000".
params objectrequired
e.g. BTCUSD-PERP.
Possible values: [LIMIT, MARKET]
LIMIT or MARKET
For LIMIT orders only. Must use decimal precision matching the instrument's price_tick_size.
Positive number only. Only provide if intending to do partial closing.
Needed when closing an existing isolated position. If omitted, the non-isolated position will be closed.
Schema
Echoed request id
Method invoked
0 = success; non-zero indicates error (reason code).
result object
Order ID
Client Order ID
Response message. Contains additional reason when code !== 0.
Present when code !== 0.
{
"id": "1",
"method": "private/close-position",
"api_key": "YOUR_API_KEY",
"sig": "DIGITAL_SIGNATURE",
"nonce": "1610905028000",
"params": {
"instrument_name": "BTCUSD-PERP",
"type": "LIMIT",
"price": "30000.0",
"quantity": "1000"
}
}POST /private/close-position HTTP/1.1
Host: api.crypto.com/exchange/v1
Content-Type: application/json
{
"id": "1",
"method": "private/close-position",
"api_key": "YOUR_API_KEY",
"sig": "DIGITAL_SIGNATURE",
"nonce": "1610905028000",
"params": {
"instrument_name": "BTCUSD-PERP",
"type": "LIMIT",
"price": "30000.0",
"quantity": "1000"
}
}private/get-open-orders
POSTGets all open orders for a particular instrument./private/get-open-orders
Request
Body
required
Request id (echoed in response)
Must be "private/get-open-orders"
Your API key (only required for private REST)
HMAC-SHA256 signature in hex (only required for private REST)
Current timestamp in milliseconds, e.g. "1771761038000".
params objectrequired
E.g. BTCUSD-PERP. Omit for 'all'.
Schema
- Array [
- ➖ LIMIT, MARKET
- ➖ STOP_LOSS, STOP_LIMIT, TAKE_PROFIT, TAKE_PROFIT_LIMIT: Trigger orders
- ➖ OCO: One-Cancels-the-Other
- ➖ OTO: One-Triggers-the-Other
- ➖ OTOCO: One-Triggers-a-One-Cancels-the-Other
- ➖ SPOT_ATTACH: SpotAttach (TP/SL attached to order for spot instruments)
- ➖ DERIV_ATTACH: DerivAttach (TP/SL attached to order or position for derivative instruments)
- ]
Echoed request id
Method invoked
0 = success; non-zero indicates error (reason code).
result object
data object[]
Account ID.
Order ID.
Client Order ID.
Possible values: [LIMIT, MARKET, STOP_LOSS, STOP_LIMIT, TAKE_PROFIT, TAKE_PROFIT_LIMIT]
Order type:
Possible values: [GOOD_TILL_CANCEL, IMMEDIATE_OR_CANCEL, FILL_OR_KILL]
Time in force
Possible values: [BUY, SELL]
BUY or SELL
Possible values: [POST_ONLY, REDUCE_ONLY, SMART_POST_ONLY, LIQUIDATION, ISOLATED_MARGIN, MARGIN_ORDER]
Execution instructions.
Quantity specified in the order.
Limit price specified in the order.
Order value.
User's maker fee rate.
User's taker fee rate.
Average price.
Cumulative executed quantity.
Cumulative executed value.
Cumulative executed fee.
Possible values: [PENDING, NEW, ACTIVE, FILLED, CANCELED, REJECTED, EXPIRED]
Order status
Updated user.
Order creation date.
E.g. BTCUSD-PERP.
Currency used for the fees.
Order creation timestamp (ms), e.g. "1771761038000".
Order creation timestamp (nanosecond), e.g. "1771761038000000000".
Order update timestamp (ms), e.g. "1771761038000".
Rejection reason code; present for get-order-detail and get-order-history.
isolation_id of the isolated position the order is tied to (derivatives only).
Possible values: [ISOLATED_MARGIN]
ISOLATED_MARGIN when isolation_id > 0 (derivatives only).
OTO/OTOCO/OCO list id; advanced only.
Possible values: [OCO, OTO, OTOCO, SPOT_ATTACH, DERIV_ATTACH]
Contingency type for advanced orders:
Leg id within OTO/OTOCO/OCO; advanced only.
Trigger reference price (trigger legs only).
Possible values: [MARK_PRICE, INDEX_PRICE, LAST_PRICE]
Price source used for ref_price: MARK_PRICE, INDEX_PRICE, or LAST_PRICE (trigger legs only).
The order ID this trigger is attached to (for SpotAttach / DerivAttach attach-to-order orders).
Position this trigger is attached to (DerivAttach attach-to-position): > 0 = isolation_id of the isolated position; 0 = cross-margin position.
Order ID assigned by the exchange (present once the leg has been accepted).
Rejection reason, if the leg was rejected.
Leverage specified on the primary leg (derivatives only, when provided).
Isolated margin amount specified on the primary leg (derivatives only, when provided).
Response message. Contains additional reason when code !== 0.
Present when code !== 0.
{
"id": "1",
"method": "private/get-open-orders",
"api_key": "YOUR_API_KEY",
"sig": "DIGITAL_SIGNATURE",
"params": {
"instrument_name": "BTCUSD-PERP"
},
"nonce": "1613575617173"
}POST /private/get-open-orders HTTP/1.1
Host: api.crypto.com/exchange/v1
Content-Type: application/json
{
"id": "1",
"method": "private/get-open-orders",
"api_key": "YOUR_API_KEY",
"sig": "DIGITAL_SIGNATURE",
"params": {
"instrument_name": "BTCUSD-PERP"
},
"nonce": "1613575617173"
}private/get-order-detail
POSTGets detail of a single order by order_id or client_oid./private/get-order-detail
Request
Body
required
Request id (echoed in response)
Must be "private/get-order-detail"
Your API key (only required for private REST)
HMAC-SHA256 signature in hex (only required for private REST)
Current timestamp in milliseconds, e.g. "1771761038000".
params objectrequired
Order ID. string format is highly recommended, especially for JavaScript client. If not provided, client_oid must be specified.
Client Order ID. If not provided, order_id must be specified.
Schema
- ➖ LIMIT, MARKET
- ➖ STOP_LOSS, STOP_LIMIT, TAKE_PROFIT, TAKE_PROFIT_LIMIT: Trigger orders
- ➖ OCO: One-Cancels-the-Other
- ➖ OTO: One-Triggers-the-Other
- ➖ OTOCO: One-Triggers-a-One-Cancels-the-Other
- ➖ SPOT_ATTACH: SpotAttach (TP/SL attached to order for spot instruments)
- ➖ DERIV_ATTACH: DerivAttach (TP/SL attached to order or position for derivative instruments)
Echoed request id
Method invoked
0 = success; non-zero indicates error (reason code).
result object
Account ID.
Order ID.
Client Order ID.
Possible values: [LIMIT, MARKET, STOP_LOSS, STOP_LIMIT, TAKE_PROFIT, TAKE_PROFIT_LIMIT]
Order type:
Possible values: [GOOD_TILL_CANCEL, IMMEDIATE_OR_CANCEL, FILL_OR_KILL]
Time in force
Possible values: [BUY, SELL]
BUY or SELL
Possible values: [POST_ONLY, REDUCE_ONLY, SMART_POST_ONLY, LIQUIDATION, ISOLATED_MARGIN, MARGIN_ORDER]
Execution instructions.
Quantity specified in the order.
Limit price specified in the order.
Order value.
User's maker fee rate.
User's taker fee rate.
Average price.
Cumulative executed quantity.
Cumulative executed value.
Cumulative executed fee.
Possible values: [PENDING, NEW, ACTIVE, FILLED, CANCELED, REJECTED, EXPIRED]
Order status
Updated user.
Order creation date.
E.g. BTCUSD-PERP.
Currency used for the fees.
Order creation timestamp (ms), e.g. "1771761038000".
Order creation timestamp (nanosecond), e.g. "1771761038000000000".
Order update timestamp (ms), e.g. "1771761038000".
Rejection reason code; present for get-order-detail and get-order-history.
isolation_id of the isolated position the order is tied to (derivatives only).
Possible values: [ISOLATED_MARGIN]
ISOLATED_MARGIN when isolation_id > 0 (derivatives only).
OTO/OTOCO/OCO list id; advanced only.
Possible values: [OCO, OTO, OTOCO, SPOT_ATTACH, DERIV_ATTACH]
Contingency type for advanced orders:
Leg id within OTO/OTOCO/OCO; advanced only.
Trigger reference price (trigger legs only).
Possible values: [MARK_PRICE, INDEX_PRICE, LAST_PRICE]
Price source used for ref_price: MARK_PRICE, INDEX_PRICE, or LAST_PRICE (trigger legs only).
The order ID this trigger is attached to (for SpotAttach / DerivAttach attach-to-order orders).
Position this trigger is attached to (DerivAttach attach-to-position): > 0 = isolation_id of the isolated position; 0 = cross-margin position.
Order ID assigned by the exchange (present once the leg has been accepted).
Rejection reason, if the leg was rejected.
Leverage specified on the primary leg (derivatives only, when provided).
Isolated margin amount specified on the primary leg (derivatives only, when provided).
Response message. Contains additional reason when code !== 0.
Present when code !== 0.
{
"id": "1",
"method": "private/get-order-detail",
"api_key": "YOUR_API_KEY",
"sig": "DIGITAL_SIGNATURE",
"params": {
"order_id": "19848525"
},
"nonce": "1587846358253"
}POST /private/get-order-detail HTTP/1.1
Host: api.crypto.com/exchange/v1
Content-Type: application/json
{
"id": "1",
"method": "private/get-order-detail",
"api_key": "YOUR_API_KEY",
"sig": "DIGITAL_SIGNATURE",
"params": {
"order_id": "19848525"
},
"nonce": "1587846358253"
}private/create-order-list (LIST)
POSTCreate a list of orders on the Exchange./private/create-order-list
contingency_type must be LIST, for list of orders creation.
This call is asynchronous, so the response is simply a confirmation of the request.
The user.order subscription can be used to check if the orders are successfully created.
Request
Body
required
- Array [
- ➖ M: Cancel Maker
- ➖ T: Cancel Taker
- ➖ B: Cancel Both Maker and Taker
- ➖ M: Matches Master or Sub a/c
- ➖ S: Matches Sub a/c only
- ➖ D: reset all STP fields to default (stp_inst and stp_id in same request are ignored).
- ]
Request id (echoed in response)
Must be "private/create-order-list"
Your API key (only required for private REST)
HMAC-SHA256 signature in hex (only required for private REST)
Current timestamp in milliseconds, e.g. "1771761038000".
params objectrequired
Possible values: [LIST]
Must be LIST for order-list APIs
order_list object[]required
>= 1, <= 10 Instrument symbol, e.g. BTCUSD-PERP
Possible values: [BUY, SELL]
BUY or SELL
Order quantity. For MARKET BUY can use notional instead.
Client order ID (max 36 chars). Recommended for correlation.
Possible values: [GOOD_TILL_CANCEL, IMMEDIATE_OR_CANCEL, FILL_OR_KILL]
Time in force
Possible values: [POST_ONLY, REDUCE_ONLY, SMART_POST_ONLY, ISOLATED_MARGIN, MARGIN_ORDER]
Optional array of execution instructions. POST_ONLY and SMART_POST_ONLY mutually exclusive.
Fee instrument (e.g. CRO) for fee deduction
Self-trade prevention ID (0 to 32767)
Possible values: [M, T, B]
Self-trade prevention instruction. Used in private/change-account-settings (params) and private/get-account-settings (result). Mandatory if stp_scope is set.
Possible values: [M, S, D]
Self-trade prevention scope. Used in private/change-account-settings (params) and private/get-account-settings (result).
Possible values: [LIMIT, MARKET]
Order type: LIMIT or MARKET
Limit price (required for LIMIT orders)
Amount to spend; for MARKET BUY only (alternative to quantity)
Possible values: [SPOT, MARGIN]
SPOT or MARGIN (spot/margin mode).
Isolated margin amount
Isolation ID for isolated margin
Leverage for margin/derivatives
Schema
- Array [
- ]
Echoed request id
Method invoked
0 = success; non-zero indicates error (reason code).
result object[]
0 if success.
The index of corresponding order request (start from 0).
(Optional) Client order ID if provided in the request (maximum 36 characters).
Newly created order ID.
(Optional) For server or error messages.
Response message. Contains additional reason when code !== 0.
Present when code !== 0.
{
"id": "6573",
"method": "private/create-order-list",
"api_key": "YOUR_API_KEY",
"sig": "DIGITAL_SIGNATURE",
"nonce": "1750385416548",
"params": {
"contingency_type": "LIST",
"order_list": [
{
"instrument_name": "CRO_USD",
"side": "SELL",
"type": "LIMIT",
"quantity": "10",
"price": "0.12",
"client_oid": "api_leg1"
},
{
"instrument_name": "CRO_USD",
"side": "SELL",
"type": "LIMIT",
"quantity": "20",
"price": "0.122",
"client_oid": "api_leg2"
}
]
}
}POST /private/create-order-list HTTP/1.1
Host: api.crypto.com/exchange/v1
Content-Type: application/json
{
"id": "6573",
"method": "private/create-order-list",
"api_key": "YOUR_API_KEY",
"sig": "DIGITAL_SIGNATURE",
"nonce": "1750385416548",
"params": {
"contingency_type": "LIST",
"order_list": [
{
"instrument_name": "CRO_USD",
"side": "SELL",
"type": "LIMIT",
"quantity": "10",
"price": "0.12",
"client_oid": "api_leg1"
},
{
"instrument_name": "CRO_USD",
"side": "SELL",
"type": "LIMIT",
"quantity": "20",
"price": "0.122",
"client_oid": "api_leg2"
}
]
}
}private/cancel-order-list (LIST)
POSTCancel a list of orders on the Exchange./private/cancel-order-list
This call is asynchronous, so the response is simply a confirmation of the request.
The user.order subscription can be used to check when each of the orders is successfully cancelled.
Request
Body
required
- Array [
- ]
Request id (echoed in response)
Must be "private/cancel-order-list"
Your API key (only required for private REST)
HMAC-SHA256 signature in hex (only required for private REST)
Current timestamp in milliseconds, e.g. "1771761038000".
params objectrequired
Possible values: [LIST]
Must be LIST for order-list APIs
order_list object[]required
Instrument name, e.g. ETH_CRO, BTC_USDT.
Order ID.
Optional Client order ID (maximum 36 characters).
Schema
- Array [
- ]
Echoed request id
Method invoked
0 = success; non-zero indicates error (reason code).
result object[]
0 if success.
The index of corresponding order request (start from 0).
(Optional) For server or error messages.
Response message. Contains additional reason when code !== 0.
Present when code !== 0.
{
"id": "6575",
"method": "private/cancel-order-list",
"api_key": "YOUR_API_KEY",
"sig": "DIGITAL_SIGNATURE",
"nonce": "1750389124417",
"params": {
"contingency_type": "LIST",
"order_list": [
{
"instrument_name": "CRO_USD",
"client_oid": "api_leg1"
},
{
"instrument_name": "CRO_USD",
"client_oid": "api_leg2"
}
]
}
}POST /private/cancel-order-list HTTP/1.1
Host: api.crypto.com/exchange/v1
Content-Type: application/json
{
"id": "6575",
"method": "private/cancel-order-list",
"api_key": "YOUR_API_KEY",
"sig": "DIGITAL_SIGNATURE",
"nonce": "1750389124417",
"params": {
"contingency_type": "LIST",
"order_list": [
{
"instrument_name": "CRO_USD",
"client_oid": "api_leg1"
},
{
"instrument_name": "CRO_USD",
"client_oid": "api_leg2"
}
]
}
}private/change-account-leverage
POSTChanges the maximum leverage used by the account. Please note, each instrument has its own maximum leverage. Whichever leverage (account or instrument) is lower will be used./private/change-account-leverage
Request
Body
required
Request id (echoed in response)
Must be "private/change-account-leverage"
Your API key (only required for private REST)
HMAC-SHA256 signature in hex (only required for private REST)
Current timestamp in milliseconds, e.g. "1771761038000".
params objectrequired
Account ID to change the leverage. Must be the currently logged-in user's account.
Maximum leverage for the account. Valid values 1-100 (inclusive).
Schema
Echoed request id
Method invoked
0 = success; non-zero indicates error (reason code).
result object
Response message. Contains additional reason when code !== 0.
Present when code !== 0.
{
"id": "1",
"method": "private/change-account-leverage",
"api_key": "YOUR_API_KEY",
"sig": "DIGITAL_SIGNATURE",
"nonce": "1611022832613",
"params": {
"account_id": "52e7c00f-1324-5a6z-bfgt-de445bde21a5",
"leverage": 10
}
}POST /private/change-account-leverage HTTP/1.1
Host: api.crypto.com/exchange/v1
Content-Type: application/json
{
"id": "1",
"method": "private/change-account-leverage",
"api_key": "YOUR_API_KEY",
"sig": "DIGITAL_SIGNATURE",
"nonce": "1611022832613",
"params": {
"account_id": "52e7c00f-1324-5a6z-bfgt-de445bde21a5",
"leverage": 10
}
}private/change-account-settings
POSTChange account level settings regarding STP and other properties./private/change-account-settings
Request
Body
required
- ➖ M: Matches Master or Sub a/c
- ➖ S: Matches Sub a/c only
- ➖ D: reset all STP fields to default (stp_inst and stp_id in same request are ignored).
- ➖ M: Cancel Maker
- ➖ T: Cancel Taker
- ➖ B: Cancel Both Maker and Taker
Request id (echoed in response)
Must be "private/change-account-settings"
Your API key (only required for private REST)
HMAC-SHA256 signature in hex (only required for private REST)
Current timestamp in milliseconds, e.g. "1771761038000".
params objectrequired
Possible values: [M, S, D]
Self-trade prevention scope. Used in private/change-account-settings (params) and private/get-account-settings (result).
Possible values: [M, T, B]
Self-trade prevention instruction. Used in private/change-account-settings (params) and private/get-account-settings (result). Mandatory if stp_scope is set.
Optional. 0 to 32767. If stp_scope and stp_inst not specified, REJECT. If stp_scope specified, default 0.
Maximum leverage for the account. When account effective leverage exceeds this, further risk-increasing orders are rejected.
Schema
Echoed request id
Method invoked
0 = success; non-zero indicates error (reason code).
result object
Response message. Contains additional reason when code !== 0.
Present when code !== 0.
{
"id": "696",
"method": "private/change-account-settings",
"api_key": "YOUR_API_KEY",
"sig": "DIGITAL_SIGNATURE",
"nonce": "1721989111722",
"params": {
"stp_scope": "S",
"stp_id": "100",
"stp_inst": "M"
}
}POST /private/change-account-settings HTTP/1.1
Host: api.crypto.com/exchange/v1
Content-Type: application/json
{
"id": "696",
"method": "private/change-account-settings",
"api_key": "YOUR_API_KEY",
"sig": "DIGITAL_SIGNATURE",
"nonce": "1721989111722",
"params": {
"stp_scope": "S",
"stp_id": "100",
"stp_inst": "M"
}
}private/get-account-settings
POSTGet account settings./private/get-account-settings
Request
Body
required
Request id (echoed in response)
Must be "private/get-account-settings"
Your API key (only required for private REST)
HMAC-SHA256 signature in hex (only required for private REST)
Current timestamp in milliseconds, e.g. "1771761038000".
params objectrequired
Schema
- Array [
- ➖ M: Matches Master or Sub a/c
- ➖ S: Matches Sub a/c only
- ➖ D: reset all STP fields to default (stp_inst and stp_id in same request are ignored).
- ➖ M: Cancel Maker
- ➖ T: Cancel Taker
- ➖ B: Cancel Both Maker and Taker
- ]
Echoed request id
Method invoked
0 for successful changes.
result object[]
The max leverage user set on the account. When account effective leverage exceeds this, further risk increasing orders will be rejected.
Optional. 0 to 32767. If stp_scope and stp_inst not specified, REJECT. If stp_scope specified, default 0. Orderbook-specific settings take higher precedence.
Possible values: [M, S, D]
Self-trade prevention scope. Used in private/change-account-settings (params) and private/get-account-settings (result).
Possible values: [M, T, B]
Self-trade prevention instruction. Used in private/change-account-settings (params) and private/get-account-settings (result). Mandatory if stp_scope is set.
Response message. Contains additional reason when code !== 0.
Present when code !== 0.
{
"id": "697",
"method": "private/get-account-settings",
"api_key": "YOUR_API_KEY",
"sig": "DIGITAL_SIGNATURE",
"nonce": "1721989202781",
"params": {}
}POST /private/get-account-settings HTTP/1.1
Host: api.crypto.com/exchange/v1
Content-Type: application/json
{
"id": "697",
"method": "private/get-account-settings",
"api_key": "YOUR_API_KEY",
"sig": "DIGITAL_SIGNATURE",
"nonce": "1721989202781",
"params": {}
}private/create-isolated-margin-transfer
POSTTransfer balance between account and isolated position./private/create-isolated-margin-transfer
Request
Body
required
Request id (echoed in response)
Must be "private/create-isolated-margin-transfer"
Your API key (only required for private REST)
HMAC-SHA256 signature in hex (only required for private REST)
Current timestamp in milliseconds, e.g. "1771761038000".
params objectrequired
Isolation ID of the isolated position to transfer margin to or from.
Possible values: [CREDIT, DEBIT]
CREDIT for credit to the isolated position; DEBIT for debit from the isolated position.
Amount of USD to transfer; must be a positive number.
Schema
Echoed request id
Method invoked
0 = success; non-zero indicates error (reason code).
result object
Response message. Contains additional reason when code !== 0.
Present when code !== 0.
{
"id": "11",
"method": "private/create-isolated-margin-transfer",
"api_key": "YOUR_API_KEY",
"sig": "DIGITAL_SIGNATURE",
"nonce": "1611022832613",
"params": {
"isolation_id": "19848526",
"direction": "CREDIT",
"amount": "50"
}
}POST /private/create-isolated-margin-transfer HTTP/1.1
Host: api.crypto.com/exchange/v1
Content-Type: application/json
{
"id": "11",
"method": "private/create-isolated-margin-transfer",
"api_key": "YOUR_API_KEY",
"sig": "DIGITAL_SIGNATURE",
"nonce": "1611022832613",
"params": {
"isolation_id": "19848526",
"direction": "CREDIT",
"amount": "50"
}
}private/change-isolated-margin-leverage
POSTChanges the maximum leverage of an isolated position./private/change-isolated-margin-leverage
Request
Body
required
Request id (echoed in response)
Must be "private/change-isolated-margin-leverage"
Your API key (only required for private REST)
HMAC-SHA256 signature in hex (only required for private REST)
Current timestamp in milliseconds, e.g. "1771761038000".
params objectrequired
Isolation ID of the isolated position to apply the leverage change to.
The maximum leverage to be used for the isolated position.
Schema
Echoed request id
Method invoked
0 = success; non-zero indicates error (reason code).
result object
Response message. Contains additional reason when code !== 0.
Present when code !== 0.
{
"id": "11",
"method": "private/change-isolated-margin-leverage",
"api_key": "YOUR_API_KEY",
"sig": "DIGITAL_SIGNATURE",
"nonce": "1611022832613",
"params": {
"isolation_id": "19848526",
"leverage": "10"
}
}POST /private/change-isolated-margin-leverage HTTP/1.1
Host: api.crypto.com/exchange/v1
Content-Type: application/json
{
"id": "11",
[...]
